package com.hwrj.cloud.portal.mapper;

import com.hwrj.cloud.portal.model.PmsBasePosition;
import com.hwrj.cloud.portal.model.PmsBasePositionExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PmsBasePositionMapper {
    long countByExample(PmsBasePositionExample example);

    int deleteByExample(PmsBasePositionExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PmsBasePosition record);

    int insertSelective(PmsBasePosition record);

    List<PmsBasePosition> selectByExample(PmsBasePositionExample example);

    PmsBasePosition selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PmsBasePosition record, @Param("example") PmsBasePositionExample example);

    int updateByExample(@Param("record") PmsBasePosition record, @Param("example") PmsBasePositionExample example);

    int updateByPrimaryKeySelective(PmsBasePosition record);

    int updateByPrimaryKey(PmsBasePosition record);
}